1. Carriers
  2. Update carrier
PUT
/carriers/{carrierId}
curl --request PUT \
     --url https://api.treeunfe.com.br/api/v1/carriers/{carrierId} \
     --header 'x-api-key: <api-key>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "xNome": "<string>",
  "xFant": "<string>",
  "IE": "<string>",
  "fone": "<string>",
  "CEP": "<string>",
  "xLgr": "<string>",
  "nro": "<string>",
  "xBairro": "<string>",
  "cMun": 123,
  "xMun": "<string>",
  "UF": "<string>"
}'

​
Authentication

x-api-key
required
string

The organization’s API Key (rawKey).

​
Path parameters

carrierId
required
string

The carrier’s ID (UUID).

​
Body

application/json

xNome
string
xFant
string
IE
string
fone
string
CEP
string
xLgr
string
nro
string
xBairro
string
cMun
integer
xMun
string
UF
string

​
Responses

StatusDescription
200Carrier updated.
400Invalid body (missing required field, wrong format, or field not allowed).
404Resource not found.
curl -X PUT "https://api.treeunfe.com.br/api/v1/carriers/CARRIERID" \
  -H "x-api-key: ORGANIZATION_RAW_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "xNome": "TRANSPORTADORA EXEMPLO LTDA - MATRIZ"
  }'